Skip to main content
GET
/
off_exchange
/
settlements
/
transactions
TypeScript
const response: Promise<FireblocksResponse<GetSettlementResponse>> = fireblocks.offExchanges.getOffExchangeSettlementTransactions(offExchangesApiGetOffExchangeSettlementTransactionsRequest);
{
  "toExchange": [
    {
      "assetId": "<string>",
      "amount": "<string>",
      "dstAddress": "<string>",
      "dstTag": "<string>"
    }
  ],
  "toCollateral": [
    {
      "asset": "<string>",
      "amount": "<string>",
      "srcAddress": "<string>",
      "srcTag": "<string>",
      "fee": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://developers.fireblocks.com/llms.txt

Use this file to discover all available pages before exploring further.

Query Parameters

mainExchangeAccountId
string
required

Response

A settlement transactions

toExchange
object[]
toCollateral
object[]